#!/usr/bin/env bash

JS_DESTINATION="/etc/nginx/html/assets/*.js"
HTML_DESTINATION="/etc/nginx/html/index.html"

declare -a ENV_VARIABLES=(
  "VUE_APP_FRONTEND_HOST"
  "VUE_APP_FRONTEND_PROTOCOL"
  "VUE_APP_BACKEND_URL"
  "VUE_APP_WEBSOCKETS_URL"
  "VUE_APP_STRIPE_PUBLISHABLE_KEY"
  "VUE_APP_GITHUB_INSTALLATION_URL"
  "VUE_APP_DISCORD_INSTALLATION_URL"
  "VUE_APP_CUBEJS_URL"
  "VUE_APP_CONVERSATIONS_PUBLIC_URL"
  "VUE_APP_EDITION"
  "VUE_APP_COMMUNITY_PREMIUM"
  "VUE_APP_SEGMENT_KEY"
  "VUE_APP_PENDO_KEY"
  "VUE_APP_HOTJAR_KEY"
  "VUE_APP_ENV"
  "VUE_APP_NANGO_URL"
  "VUE_APP_NANGO_PUBLIC_KEY"
  "VUE_APP_FORMBRICKS_URL"
  "VUE_APP_FORMBRICKS_ENVIRONMENT_ID"
  "VUE_APP_STRIPE_GROWTH_PLAN_PAYMENT_LINK"
  "VUE_APP_STRIPE_EAGLE_EYE_PLAN_PAYMENT_LINK"
  "VUE_APP_STRIPE_CUSTOMER_PORTAL_LINK"
  "VUE_APP_UNLEASH_URL"
  "VUE_APP_UNLEASH_API_KEY"
  "VUE_APP_SAMPLE_TENANT_ID"
  "VUE_APP_SAMPLE_TENANT_TOKEN"
  "VUE_APP_IS_GITHUB_ENABLED"
  "VUE_APP_IS_HACKERNEWS_ENABLED"
  "VUE_APP_IS_DISCORD_ENABLED"
  "VUE_APP_IS_LINKEDIN_ENABLED"
  "VUE_APP_IS_HUBSPOT_ENABLED"
  "VUE_APP_IS_SLACK_ENABLED"
  "VUE_APP_IS_DEVTO_ENABLED"
  "VUE_APP_IS_REDDIT_ENABLED"
  "VUE_APP_IS_STACKOVERFLOW_ENABLED"
  "VUE_APP_IS_DISCOURSE_ENABLED"
  "VUE_APP_IS_ZAPIER_ENABLED"
  "VUE_APP_IS_SALESFORCE_ENABLED"
  "VUE_APP_IS_SEGMENT_ENABLED"
  "VUE_APP_IS_CENSUS_ENABLED"
  "VUE_APP_IS_SNOWFLAKE_ENABLED"
  "VUE_APP_IS_BIGQUERY_ENABLED"
  "VUE_APP_IS_N8N_ENABLED"
  "VUE_APP_IS_GIT_ENABLED"
  "VUE_APP_IS_GROUPSIO_ENABLED"
  "VUE_APP_IS_TWITTER_ENABLED"
  "VUE_APP_STRIPE_SCALE_MONTHLY_PLAN_PAYMENT_LINK"
  "VUE_APP_STRIPE_SCALE_YEARLY_PLAN_PAYMENT_LINK"
  "VUE_APP_STRIPE_ESSENTIAL_MONTHLY_PLAN_PAYMENT_LINK"
  "VUE_APP_STRIPE_ESSENTIAL_YEARLY_PLAN_PAYMENT_LINK"
  "VUE_APP_ENTERPRISE_PLAN_LINK"
  "VUE_APP_POSTHOG_KEY"
  "VUE_APP_SENTRY_DSN"
  "VUE_APP_STRIPE_ESSENTIAL_MONTHLY_PLAN_NONCC_PAYMENT_LINK"
  "VUE_APP_STRIPE_ESSENTIAL_YEARLY_PLAN_NONCC_PAYMENT_LINK"
  "VUE_APP_STRIPE_SCALE_MONTHLY_PLAN_NONCC_PAYMENT_LINK"
  "VUE_APP_STRIPE_SCALE_YEARLY_PLAN_NONCC_PAYMENT_LINK"
  "VUE_APP_SALESFORCE_PACKAGE_LINK"
  "VUE_APP_STRIPE_BASIC_MONTHLY_PLAN_NONCC_PAYMENT_LINK"
  "VUE_APP_STRIPE_BASIC_MONTHLY_PLAN_PAYMENT_LINK"
  "VUE_APP_STRIPE_BASIC_YEARLY_PLAN_NONCC_PAYMENT_LINK"
  "VUE_APP_STRIPE_BASIC_YEARLY_PLAN_PAYMENT_LINK"
  "VUE_APP_VERSION"
)

for ENV_VAR in "${ENV_VARIABLES[@]}"
do
  echo "Replacing CROWD_$ENV_VAR with '${!ENV_VAR}' in $JS_DESTINATION and $HTML_DESTINATION!"
  _SED_SPECIAL_CHARS_ESCAPED=$(printf '%s\n' "${!ENV_VAR}" | sed -e 's/[\/&]/\\&/g')

  sed -i "s|CROWD_$ENV_VAR|${_SED_SPECIAL_CHARS_ESCAPED}|g" ${JS_DESTINATION}
  sed -i "s|CROWD_$ENV_VAR|${_SED_SPECIAL_CHARS_ESCAPED}|g" ${HTML_DESTINATION}
done

echo "Starting Nginx!"
nginx -g "daemon off;"
